# Class CompositePartImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl
org.eclipse.e4.ui.model.application.ui.basic.impl.PartImpl
org.eclipse.e4.ui.model.application.ui.basic.impl.CompositePartImpl

All Implemented Interfaces:
  `MBindings, MHandlerContainer, MApplicationElement, MContribution, MCompositePart, MPart, MPartSashContainerElement, MStackElement, MWindowElement, MContext, MDirtyable, MElementContainer<MPartSashContainerElement>, MGenericTile<MPartSashContainerElement>, MLocalizable, MUIElement, MUILabel, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject`

public class CompositePartImpl extends PartImpl implements MCompositePart
An implementation of the model object 'Composite Part'.

The following features are implemented:

- `Children`
- `Selected Element`
- `Horizontal`

Since:
  1.1

## Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MPartSashContainerElement>`
`children`
The cached value of the '`Children`' containment reference list.
`protected boolean`
`horizontal`
The cached value of the '`Horizontal`' attribute.
`protected static final boolean`
`HORIZONTAL_EDEFAULT`
The default value of the '`Horizontal`' attribute.
`protected MPartSashContainerElement`
`selectedElement`
The cached value of the '`Selected Element`' reference.

### Fields inherited from class PartImpl

`bindingContexts, closeable, CLOSEABLE_EDEFAULT, context, CONTEXT_EDEFAULT, CONTRIBUTION_URI_EDEFAULT, contributionURI, description, DESCRIPTION_EDEFAULT, dirty, DIRTY_EDEFAULT, handlers, ICON_URI_EDEFAULT, iconURI, label, LABEL_EDEFAULT, LOCALIZED_DESCRIPTION_EDEFAULT, LOCALIZED_LABEL_EDEFAULT, LOCALIZED_TOOLTIP_EDEFAULT, menus, object, OBJECT_EDEFAULT, properties, toolbar, tooltip, TOOLTIP_EDEFAULT, trimBars, variables`

### Fields inherited from class UIElementImpl

`ACCESSIBILITY_PHRASE_EDEFAULT, accessibilityPhrase, CONTAINER_DATA_EDEFAULT, containerData, curSharedRef, LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT, ON_TOP_EDEFAULT, onTop, renderer, RENDERER_EDEFAULT, TO_BE_RENDERED_EDEFAULT, toBeRendered, visible, VISIBLE_EDEFAULT, visibleWhen, widget, WIDGET_EDEFAULT`

### Fields inherited from class ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CompositePartImpl()`

## Method Summary

Modifier and Type
Method
Description
`MPartSashContainerElement`
`basicGetSelectedElement()`
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`List<MPartSashContainerElement>`
`getChildren()`
`MPartSashContainerElement`
`getSelectedElement()`
`boolean`
`isHorizontal()`
`void`
`setHorizontal(boolean newHorizontal)`
`void`
`setSelectedElement(MPartSashContainerElement newSelectedElement)`
`String`
`toString()`

### Methods inherited from class PartImpl

`basicSetToolbar, eDerivedOperationID, eInvoke, getBindingContexts, getContext, getContributionURI, getDescription, getHandlers, getIconURI, getLabel, getLocalizedDescription, getLocalizedLabel, getLocalizedTooltip, getMenus, getObject, getProperties, getToolbar, getTooltip, getTrimBars, getVariables, isCloseable, isDirty, setCloseable, setContext, setContributionURI, setDescription, setDirty, setIconURI, setLabel, setObject, setToolbar, setTooltip, toStringGen, updateLocalization`

### Methods inherited from class UIElementImpl

`basicGetCurSharedRef, basicSetParent, basicSetVisibleWhen, eBasicRemoveFromContainerFeature, getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from class ApplicationElementImpl

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MBindings

`getBindingContexts`

### Methods inherited from interface MContext

`getContext, getProperties, getVariables, setContext`

### Methods inherited from interface MContribution

`getContributionURI, getObject, setContributionURI, setObject`

### Methods inherited from interface MDirtyable

`isDirty, setDirty`

### Methods inherited from interface MHandlerContainer

`getHandlers`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MPart

`getDescription, getLocalizedDescription, getMenus, getToolbar, getTrimBars, isCloseable, setCloseable, setDescription, setToolbar`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### children

protected org.eclipse.emf.common.util.EList<MPartSashContainerElement> children
The cached value of the '`Children`' containment reference list.

See Also:
  - `getChildren()`

### selectedElement

protected MPartSashContainerElement selectedElement
The cached value of the '`Selected Element`' reference.

See Also:
  - `getSelectedElement()`

### HORIZONTAL_EDEFAULT

protected static final boolean HORIZONTAL_EDEFAULT
The default value of the '`Horizontal`' attribute.

See Also:
  - `isHorizontal()`
  - Constant Field Values

### horizontal

protected boolean horizontal
The cached value of the '`Horizontal`' attribute.

See Also:
  - `isHorizontal()`

## Constructor Details

### CompositePartImpl

protected CompositePartImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `PartImpl`

### getChildren

public List<MPartSashContainerElement> getChildren()

Specified by:
  `getChildren` in interface `MElementContainer<MPartSashContainerElement>`
Returns:
  the value of the 'Children' containment reference list.
See Also:
  - `MUIElement.getParent()`

### getSelectedElement

public MPartSashContainerElement getSelectedElement()

Specified by:
  `getSelectedElement` in interface `MElementContainer<MPartSashContainerElement>`
Returns:
  the value of the 'Selected Element' reference.
See Also:
  - `MElementContainer.setSelectedElement(MUIElement)`

### basicGetSelectedElement

public MPartSashContainerElement basicGetSelectedElement()

### setSelectedElement

public void setSelectedElement(MPartSashContainerElement newSelectedElement)

Specified by:
  `setSelectedElement` in interface `MElementContainer<MPartSashContainerElement>`
Parameters:
  `newSelectedElement` - the new value of the 'Selected Element' reference.
See Also:
  - `MElementContainer.getSelectedElement()`

### isHorizontal

public boolean isHorizontal()

Specified by:
  `isHorizontal` in interface `MGenericTile<MPartSashContainerElement>`
Returns:
  the value of the 'Horizontal' attribute.
See Also:
  - `MGenericTile.setHorizontal(boolean)`

### setHorizontal

public void setHorizontal(boolean newHorizontal)

Specified by:
  `setHorizontal` in interface `MGenericTile<MPartSashContainerElement>`
Parameters:
  `newHorizontal` - the new value of the 'Horizontal' attribute.
See Also:
  - `MGenericTile.isHorizontal()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `UIElementImpl`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `PartImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `PartImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `PartImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `PartImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `PartImpl`

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `PartImpl`

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `PartImpl`

### toString

public String toString()

Overrides:
  `toString` in class `PartImpl`